package gov.va.vinci.dart.json;

import javax.validation.constraints.Min;

public class TaskView {
	private int taskId;
	private String trackingNumber;
	private String dateReceived;
	private String activityName;
	private String activityType;
	private String description;
	private String contact;
	private int activityId;
	private int requestId;
	private int reviewId;
	
//	private boolean editable;
	private boolean reviewTask;

	private boolean researchRequest = false;
	private boolean operationsRequest = false;
	   private boolean preparatoryRequest = false;

	@Min(0)
	private int workflowId = 0;
	
	
//	public boolean isEditable() {
//		return editable;
//	}
//
//	public void setEditable(boolean editable) {
//		this.editable = editable;
//	}

	public int getTaskId() {
		return taskId;
	}

	public void setTaskId(int taskId) {
		this.taskId = taskId;
	}

	public String getDateReceived() {
		return dateReceived;
	}

	public void setDateReceived(String dateReceived) {
		this.dateReceived = dateReceived;
	}

	public String getActivityName() {
		return activityName;
	}

	public void setActivityName(String activityName) {
		this.activityName = activityName;
	}

	public String getActivityType() {
		return activityType;
	}

	public void setActivityType(String activityType) {
		this.activityType = activityType;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}
	
	public String getContact() {
		return contact;
	}

	public void setContact(String contact) {
		this.contact = contact;
	}

	public String getTrackingNumber() {
		return trackingNumber;
	}

	public void setTrackingNumber(String trackingNumber) {
		this.trackingNumber = trackingNumber;
	}

	public int getActivityId() {
		return activityId;
	}

	public void setActivityId(int activityId) {
		this.activityId = activityId;
	}

	public int getRequestId() {
		return requestId;
	}

	public void setRequestId(int requestId) {
		this.requestId = requestId;
	}

	public int getReviewId() {
		return reviewId;
	}

	public void setReviewId(int reviewId) {
		this.reviewId = reviewId;
	}

	public int getWorkflowId() {
		return workflowId;
	}

	public void setWorkflowId(int workflowId) {
		this.workflowId = workflowId;
	}
	
	public boolean isResearchRequest() {
		return researchRequest;
	}

	public void setResearchRequest(boolean researchRequest) {
		this.researchRequest = researchRequest;
	}

	public boolean isPreparatoryRequest() {
        return preparatoryRequest;
    }

    public void setPreparatoryRequest(boolean preparatoryRequest) {
        this.preparatoryRequest = preparatoryRequest;
    }

    public boolean isOperationsRequest() {
		return operationsRequest;
	}

	public void setOperationsRequest(boolean operationsRequest) {
		this.operationsRequest = operationsRequest;
	}
	
	public boolean isReviewTask() {
		return reviewTask;
	}

	public void setReviewTask(boolean reviewTask) {
		this.reviewTask = reviewTask;
	}
}
